.teacher {
  align-items: center;
  padding: 100px 82px;
}

.teacher-titlebox {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 120px;
}

.teacher-title {
  color: var(--title-text-light-blue);
  font-weight: var(--title-weight);
  font-size: 40px;
  line-height: 56px;
  letter-spacing: 1.6px;
}

/* ========================================================================== */
/* teacher-1 */
/* ========================================================================== */

.teacher-1 {
  display: flex;
  justify-content: flex-start;
}

.teacher-1-box {
  display: inline-flex;
  align-items: center;
  gap: 64px;
  margin-left: auto;
}

.teacher-1-left {
  display: flex;
  align-items: center;
  gap: 40px;
}

.teacher-1-left-text {
  line-height: 30px;
  letter-spacing: 0.64px;
}

.teacher-1-right {
  display: flex;
  align-items: center;
  gap: 40px;
}

.teacher-1-right-text {
  line-height: 30px;
  letter-spacing: 0.64px;
}

.teacher-1-href {
  display: flex;
  width: 40px;
  height: 40px;
  justify-content: space-between;
  align-items: center;
  border-radius: 55.172px;
  background: var(--title-text-light-blue);
}

.teacher-1-href-img {
  display: flex;
  padding: 15px;
  align-items: center;
  flex-shrink: 0;
}

/* ========================================================================== */
/* teacher-2 */
/* ========================================================================== */

.teacher-2 {
  width: 100%;
  margin: 80px 0;
  margin-bottom: 160px;
}

.teacher-2-layout {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
}

.teacher-2-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  width: 100%;
}

.teacher-2-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  width: 100%;
}

.teacher-2-layout-parts {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: flex-start;
  border-radius: 0 0 0 40px;
  border: 1px solid var(--title-text-light-blue);
  position: relative;
}

.teacher-2-layout-img-parts {
  width: 100%;
  height: auto;
  aspect-ratio: 410 / 270;
  align-self: stretch;
  background: url(<path-to-image>) lightgray 0px -73.28px / 100% 227.667% no-repeat;
}

.teacher-2-layout-contents-parts {
  display: flex;
  height: 350px;
  padding: 16px 24px 40px 24px;
  flex-direction: column;
  align-items: flex-end;
  gap: 16px;
  align-self: stretch;
  position: relative;
}

.teacher-2-layout-contents-header-parts {
  display: flex;
  padding: 8px 0;
  flex-direction: column;
  align-items: center;
  align-self: stretch;
  border-bottom: 1px solid var(--title-text-light-blue);
}

.teacher-2-layout-contents-header-name-parts {
  align-self: stretch;
  text-align: center;
  font-size: 24px;
  font-weight: 600;
  line-height: 32px;
}

.teacher-2-layout-contents-header-position-parts {
  align-self: stretch;
  text-align: center;
  font-size: 14px;
  line-height: 32px;
}

.teacher-2-layout-contents-body-parts {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

.teacher-2-layout-contents-body-box-parts {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.teacher-2-layout-contents-body-title-parts {
  display: flex;
  align-items: center;
  gap: 8px;
}

.teacher-2-layout-contents-body-title-text-parts {
  flex: 1;
  color: var(--title-text-light-blue);
  font-size: 14px;
  font-weight: 600;
  line-height: 20px;
  letter-spacing: 0.56px;
}

.teacher-2-layout-contents-body-text-parts {
  height: 108px;
  align-self: stretch;
  font-size: 14px;
  line-height: 24px;
  letter-spacing: 0.56px;
}

.teacher-2-layout-contents-body-href-parts {
  display: flex;
  width: 32px;
  height: 32px;
  justify-content: center;
  align-items: center;
  gap: 8.828px;
  position: absolute;
  right: 12px;
  bottom: 12px;
  border-radius: 44.138px;
  background: var(--title-text-light-blue);
}

.teacher-2-layout-en-name-parts {
  transform-origin: right top;
  transform: rotate(-90deg) translateY(-100%);
  display: flex;
  padding: 8px 16px;
  flex-direction: column;
  justify-content: center;
  align-items: left;
  position: absolute;
  right: 0;
  border-radius: 24px 0 0 0;
  background: #FFF;
}

.teacher-2-layout-en-name-text-parts {
  transform: rotate(180deg);
  color: var(--title-text-light-blue);
  font-family: Anuphan;
  font-weight: 700;
  line-height: 32px;
  /* 200% */
}

/* ========================================================================== */
/* teacher-3 */
/* ========================================================================== */

.teacher-3 {
  width: 100%;
  margin: 80px 0;
}

.teacher-3-layout {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
}

.teacher-3-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  gap: 40px;
}

.teacher-3-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 24px;
  width: 100%;
}

.teacher-3-list-box {
  display: flex;
  padding: 24px 16px;
  align-items: flex-start;
  gap: 40px;
  flex-shrink: 0;
  border-radius: 0 24px;
  border: 1px solid var(--title-text-light-blue);
}

.teacher-3-contents {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  flex: 1 0 0;
}

.teacher-3-contents-name-type {
  display: flex;
  align-items: flex-end;
  gap: 12px;
  align-self: stretch;
}

.teacher-3-contents-name-text {
  font-size: 24px;
  line-height: 32px;
  letter-spacing: 0.96px;
}

.teacher-3-contents-type-text {
  font-size: 14px;
  line-height: 36px;
  letter-spacing: 0.56px;
}

.teacher-3-contents-position-text {
  align-self: stretch;
  font-size: 14px;
  line-height: 24px;
  letter-spacing: 0.56px;
}

.teacher-3-contents-en-text {
  color: var(--title-text-light-blue);
  font-family: Anuphan;
  font-size: 14px;
  font-weight: 600;
  line-height: 32px;
  letter-spacing: 0.56px;
}

/* ========================================================================== */
/* @media */
/* ========================================================================== */

@media (max-width: 1440px) {

  /* ==================================================== */
  /* teacher-2 */
  /* ==================================================== */
  .teacher-2-list {
    justify-content: center;
  }
}

/* ========================================================================== */
/* @media：TB */
/* ========================================================================== */

@media (max-width: 1023px) {
  .teacher {
    padding: 100px 54px;
  }
}

/* ========================================================================== */
/* @media：SP */
/* ========================================================================== */

@media (max-width: 1023px) {
  .teacher {
    align-items: center;
    padding: 100px 24px;
  }

  .teacher-titlebox {
    padding: 0;
    align-self: stretch;
  }

  .teacher-subtitle {
    font-family: Anuphan;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0.56px;
  }

  .teacher-title {
    text-align: center;
    font-size: 32px;
    line-height: 40px;
    letter-spacing: 1.28px;
  }

  /* ==================================================== */
  /* teacher-1 */
  /* ==================================================== */

  .teacher-1-box {
    display: flex;
    height: 39px;
    align-items: center;
    gap: 40px;
  }

  .teacher-1-left {
    justify-content: center;
    gap: 16px;
  }

  .teacher-1-left-text {
    font-size: 14px;
    line-height: 30px;
    letter-spacing: 0.56px;
  }

  .teacher-1-right {
    justify-content: center;
    gap: 16px;
  }

  .teacher-1-right-text {
    font-size: 14px;
    line-height: 30px;
    letter-spacing: 0.56px;
  }

  .teacher-1-href {
    width: 24px;
    height: 24px;
    aspect-ratio: 1/1;
  }

  .teacher-1-href-img {
    padding: 8px;
  }

  /* ==================================================== */
  /* teacher-2 */
  /* ==================================================== */

  .teacher-2-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
    gap: 8px;
  }

  .teacher-2-layout-parts {
    width: 100%;
    min-width: 0;
    border-radius: 0 0 0 32px;
    flex-shrink: 0;
  }

  .teacher-2-layout-img-parts {
    width: 100%;
    height: auto;
    background: url(<path-to-image>) lightgray -26.381px -27.172px / 124.533% 187.898% no-repeat;
  }

  .teacher-2-layout-contents-parts {
    height: 308px;
    padding: 8px 16px 24px 16px;
    align-items: center;
    gap: 8px;
  }

  .teacher-2-layout-contents-header-parts {
    padding-bottom: 8px;
    gap: 4px;
  }

  .teacher-2-layout-contents-header-name-parts {
    align-self: stretch;
    text-align: center;
    font-size: 14px;
    line-height: 20px;
  }

  .teacher-2-layout-contents-header-position-parts {
    display: flex;
    height: 32px;
    flex-direction: column;
    justify-content: center;
    font-size: 8px;
    line-height: 16px;
  }

  .teacher-2-layout-contents-body-box-parts {
    align-self: stretch;
  }

  .teacher-2-layout-contents-body-title-parts {
    align-self: stretch;
  }

  .teacher-2-layout-contents-body-title-text-parts {
    flex: 1 0 0;
    width: auto;
    color: var(--title-text-light-blue);
    font-size: 12px;
    letter-spacing: 0.48px;
  }

  .teacher-2-layout-contents-body-text-parts {
    height: 72px;
    align-self: stretch;
    font-size: 10px;
    line-height: 16px;
    letter-spacing: 0.4px;
  }

  .teacher-2-layout-contents-body-href-parts {
    width: 24px;
    height: 24px;
    aspect-ratio: 1/1;
  }

  .teacher-2-layout-en-name-parts {
    border-radius: 16px 0 0 0;
  }

  .teacher-2-layout-en-name-text-parts {
    font-size: 10px;
    line-height: 10px;
  }

  /* ==================================================== */
  /* teacher-3 */
  /* ==================================================== */

  .teacher-3 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .teacher-3-layout {
    display: flex;
    padding: 40px 24px;
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
  }

  .teacher-3-box {
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
  }

  .teacher-3-list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 16px;
    width: 100%;
  }

  .teacher-3-list-box {
    display: flex;
    min-width: 0;
    padding: 24px 16px;
    flex-direction: column-reverse;
    align-items: flex-start;
    gap: 5px;
    align-self: stretch;
  }

  .teacher-3-contents {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    flex: 1 0 0;
  }

  .teacher-3-contents-name-text {
    font-size: 18px;
    line-height: 32px;
    letter-spacing: 0.72px;
  }

  .teacher-3-contents-type-text {
    font-size: 14px;
    line-height: 26px;
    letter-spacing: 0.56px;
  }

  .teacher-3-contents-position-text {
    font-size: 12px;
    line-height: 20px;
    letter-spacing: 0.48px;
  }

  .teacher-3-contents-en-text {
    line-height: 24px;
  }
}

@media print {
  .teacher-2 {
    margin: 0;
    margin-bottom: 300px;
  }

  .teacher-2-list {
    gap: 200px 8px;
  }

  .teacher {
    padding: 100px 24px 140px 24px;
  }
}